ODFBUILD(1p)

NAME
odfbuild - OpenDocument file creation utility

SYNOPSIS
odfbuild filename.odt

odfbuild filename.odt --title "My Document" --subject "Test"

odfbuild filename.ods --class spreadsheet --source "data.csv" --tablesize "8x16"

cat data.txt | odfbuild filename.odt -

OPTIONS
        --class         Document class (text, spreadsheet, drawing, presentation)
                        Default: text
        --opendocument  (no value). If this option is on, the document will be in
                        OpenDocument format. Without this option, the format will
                        be selected according to the general configuration of the
                        OpenOffice::OODoc installation.
        --creator       The author of the document. Default: the current user's
                        login name.
        --date          Creation date. Default is current local time.
                        If provided, must be in ISO-8601 format
                        (YYYY-MM-DDTHH:MM:SS)
        --description   The description (abstract) of the document. Default: none.
        --force         (no value). If this option is on, any existing file with
                        the same path as the target file will be replaced. Without
                        this option, the program will fail if the target exists.
        --generator     Software signature to be stored in the file (not visible
                        for the end user).
                        Default: "Genicorp OpenOffice::OODoc <version>"
        --keywords      A list of comma-separated keywords. Default: none.
        --source        A text file, to be used as the content of the document.
                        If the document class is 'text', each line is loaded as a new
                        paragraph with the standard style. If the document class is
                        'spreadsheet', the file is processed as CSV data and loaded
                        in one sheet. If the document class is neither 'text' nor
                        'spreadsheet', the file is not processed.
                        If source = '-', or if a '-' argument is provided, the data
                        file is read through the standard input.
        --subject       The subject of the document. Default: none.
        --tablename     The name of the sheet to be created if the document class is
                        'spreadsheet' and if a data file is provided. Default: the name
                        of the data file, or "Unnamed Sheet" if the data is read from
                        the standard input.
        --tablesize     The size of the sheet to be created if the document class is
                        'spreadsheet' and if a data file is provided, in 'HxW' format
                        where H is the number of lines and W the number of columns.
                        Default: '16x8'
        --title         The title of the document. Default: "Untitled".
        --readable_XML  (no value). For debugging only. If this option is on, the XML
                        content of the target file is indented, in order to be later
                        edited.